Перейти к содержанию

aerohost

Пользователи
  • Публикаций

    167
  • Зарегистрирован

  • Посещение

  • Победитель дней

    3

Весь контент aerohost

  1. Добрый день, пришло сообщение что модно получить ncad версию домашнюю на 3 месяца, но я не понял как именно ? подскажите
  2. A.Kudrjashov, получится завести PL-VFI под nanocad 11 ?
  3. На 20ой версии завелся PL-VFI, на 11 не хочет
  4. Я уже понял что ты мегамозг и решишь это как семочки пощелкать 🤣 будем ждать финальную версию
  5. У меня почему то не заводится. Фото перекрепил
  6. Может какая то переменная nanocada у нас отличается, то и разный результат ?
  7. Я или тупой или я что то делаю не так ...
  8. Прошу помощи в адаптации Lisp под нанокад. А именно функцию команды PL-VFI Я так понимаю вся истина кроется тут (ssget "_:L" '((0 . "*POLYLINE,LINE,ARC,CIRCLE")))) А именно тут "_:L" pltools.lsp
  9. Логин, это электронная почта, я раньше тоже не догонял 🤣 тоже постоянно восстанавливал
  10. Всем Спасибо ! Создал отдельную тему Lisp.Расстановка дин.блоков по вершинам полилинии (нумерация вершин)
  11. Lisp.Расстановка дин.блоков по вершинам полилинии (нумерация вершин) Описание- Данный Lisp пригодится тем, кто хочет быстро получить координаты полилинии. Функционал: Расставляет любой дин блок в вершины, задается любая начальная нумерация, вставка префиксов и суффиксов нумерации. Отдельное спасибо A.Kudrjashov Файл.dwg MD.lsp
  12. Все отлично работает ! Спасибо ! upd. добавил префиксы и суффиксы и численную нумерацию с любого числа, теперь бомба !
  13. он у меня называется по другому, но это не суть важная, название блока можно любое
  14. (vl-load-com) (defun c:MD ( / snp cmdh name_of_bl pln krd num j my_blok my_att spis_att att_old att_new spis_att strt stp) (command "_.undo" "_begin") (setq snp (getvar "Osmode")) (setq cmdh (getvar "CMDECHO")) (setvar "Osmode" 0) (setvar "CMDECHO" 0) (setq name_of_bl (getstring "\nБлок <Блок_Нумерации >")) (setq pln (car (entsel))) (setvar "attreq" 0) (setq krd (vlax-curve-getPointAtParam pln 0)) (command "_.insert" name_of_bl krd 1.0 1.0 0) (progn (setq num (fix(-(vlax-curve-getEndParam pln) 1))) (setq j 0) (repeat num (setq j (1+ j)) (setq krd (vlax-curve-getPointAtParam pl
  15. (vl-load-com) (defun c:MD ( / snp cmdh name_of_bl pln krd num j my_blok my_att spis_att att_old att_new spis_att strt stp) (command "_.undo" "_begin") (setq snp (getvar "Osmode")) (setq cmdh (getvar "CMDECHO")) (setvar "Osmode" 0) (setvar "CMDECHO" 0) (setq name_of_bl (getstring "\nБлок <Блок_Нумерации>")) (setq pln (car (entsel))) (setvar "attreq" 0) (setq krd (vlax-curve-getPointAtParam pln 0)) (command "_.insert" name_of_bl krd 1.0 1.0 0) (setq num (fix(-(vlax-curve-getEndParam pln) 1))) (progn (setq j 0) (repeat num (setq j (1+ j)) (setq krd (vlax-curve-getPointAtParam pln
  16. Подскажи как это в тот лисп засунуть ?
  17. Нашел похожий лисп,но как его переназначить нe на дистанцию ,а на вершину ?
  18. Добрый день! прошу помощи, прошу подсказать как реализовать Лисп( скрипт) или что то прочее, что бы был следующий функционал. Берешь блок, в нем есть атрибут с нумерации, кликаешь по полилинии и этот блок расставляется в вершинах с автоматической нумерацией 1,2,3 и.тд Так же указывать с какого номера начинать другую нумерацию полилинии
  19. Клац, 1-ый При согласовании трассы где необходимы координаты,доходил до абсурда. Кто то хочешь в "Ключевых"(вершинах полилинии) точках видеть кружочек, кто то круг(не заштрихованная окружность), кто то треугольник. Кто то хочешь видеть вместо 1,2,3 т.1,т.2,т.3, кто то А,В,С. Блоками всегда это все легче исправить ) Блок можно перемещать и в онлайн режиме в таблице будет меняться положение Х У тоже. Кст. ваша разработка конфликтует с плагином Клац в итоге получается такой баян
  20. Лисп работает со всеми видами текса, просто надо правильно использовать )
×
×
  • Создать...